io.etcd.jetcd.cluster

## Class Member

- java.lang.Object
- - io.etcd.jetcd.cluster.Member

    public class Member
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Member(Member member)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<URI>` `getClientURIs()` returns list of URLs the member exposes to clients for communication.
`long` `getId()` returns the member ID for this member.
`String` `getName()` returns the human-readable name of the member.
`List<URI>` `getPeerURIs()` returns the list of URLs the member exposes to the cluster for communication.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Member

    public Member(Member member)

### Method Detail

#### getId

    public long getId()

returns the member ID for this member.

#### getName

    public String getName()

returns the human-readable name of the member.

If the member is not started, the name will be an empty string.

#### getPeerURIs

    public List<URI> getPeerURIs()

returns the list of URLs the member exposes to the cluster for communication.

#### getClientURIs

    public List<URI> getClientURIs()

returns list of URLs the member exposes to clients for communication.

f the member is not started, clientURLs will be empty.